package mqtt

import (
	"gitee.com/xuyiping_admin/pkg/di"
	"go.uber.org/dig"
	"kpt-temporary-mqtt/config"
	"kpt-temporary-mqtt/store/kptstore"
)

var Module = di.Options(
	di.Provide(NewDataEvent),
)

type DataEvent interface {
	NewMqtt(configOption *config.AppConfig)
	SubMsgLog(configOption *config.AppConfig)
}

type DataEventEntry struct {
	dig.In

	DB *kptstore.DB // DB
}

func NewDataEvent(entry DataEventEntry) DataEvent {
	return &entry
}
